export default class AddContentWorkflowComponent {
    private currentStep: string;
    static config = {
        selector: 'addContentWorkflow',
        template: `
            <add-content-source-step workflow="$ctrl.workflow" ng-if="$ctrl.workflow.isCurrentStep('source')"></add-content-source-step>
            <add-content-details-step workflow="$ctrl.workflow" ng-if="$ctrl.workflow.isCurrentStep('details')"></add-content-details-step>
            <add-content-tag-selection workflow="$ctrl.workflow"></add-content-tag-selection>
        `,
        controller: AddContentWorkflowComponent,
        bindings: {
            workflow: '<'
        }
    };

    /*@ngInject*/
    constructor() {

    }

}
